DelOld Version 1.0

Version 1.4

DelOld is a GUI based tool which is used to delete files that have not been written to or accessed for a specified number of days from local and network volumes. It can also be run from the command line enabling it to be run at specified times via the NT scheduler.

Installing

The GUI Interface

Using from the command line

Uninstalling

Check for new versions, updates and register at http://www.savilltech.com/delold.

©1999,2000 SavillTech. All rights reserved. All other trademarks and registered trademarks are the sole property of their respective owners.


Installing DelOld

DelOld is supplied in a convenient packaged for the web InstallShield package. To install simply double click the downloaded delold_install.exe image.

  1. Click Next to the Welcome dialog
  2. You may change the destination folder by clicking the Browse button. Once you are happy click Next
  3. The Start menu folder should now be selected, by default this is DelOld, make any changes and click Next
  4. A completion message will be displayed. Click Finish

This installation procedure is designed for singe machine installations however if you wish to deploy to a large number of machines the above may not be practical. During installation only two files are actually deployed to the machine:

  • delold.exe - the main application executable
  • delold.chm - the application help file

No external DLL's or OCX's are needed and the application is totally self-contained which means you can copy these two files to any machine in any directory and the application will work with no other configuration.


Using the GUI interface

When started the program will list the local and network drives known to the computer with a default option of prompting before deleting files.

Double clicking on a drive will expand the base level folders, double clicking on a folder will then shown its sub-directories.

Delete files over x days old

By default this is blank which means 0 days old so it will delete any files matching the file type specification. Setting to 1 would delete anything over 1 day or 24 hours old, so if the current time/date was 15:30 on 15th January 2000 and you entered 1 day it would delete anything matching the file specification older than 15:30 on 14th January 2000.

The most days you can enter is 9999. This gives just over 27 years worth of possible old file deletion.

File Type

File type is where you define the specification for files to be checked, entering *.* or * will apply to every file. You can be more specific using the wildcard character, for example

*asp*d*.ex* - would find any files with some text, then asp, some more text, then d, some more text then anything with .ex more text extension.

You are not limited to a single use of wildcard and can use as many as you want in any position.

You can also use the ? mark character which means at that position the character may be anything, for example setting the file type to as??.exe would allow and files starting with as, then any two characters ending with .exe.

Multiple file types may be entered by separating with a comma, for example you could enter *.exe,*.tmp to check for any .exe or .tmp file.

Check sub-directories

Selecting this option will allow the program to check sub-directories of the selected directory for files over the specified time matching the spec. Without selecting this only files in the root selected folder will be checked/deleted.

Prompt before delete

This will ask for confirmation before deleting each file or folder. Without selecting this option files/folders will be deleted without any confirmation.

Clicking Cancel will abort the process and stop checking any other files

Check Last Access

By default the time checked on a file/folder is its last modification date and time however checking this box will also check its last Access time and so both the last access and last modification date/time has to be older than the specified number of days.

Delete Directories

Enabling this option will allow the program to delete directories that are older than the specified time and are empty.

Delete Read-only files

By default if a file is read-only DelOld will not be able to delete it. Checking this box allows DelOld to reset the file attributes and allow file deletion.

Delete!

Pressing this starts the checking process according to the parameters given.


Using the Command Line interface

You can start DelOld from the cmd line using just

C:\> delold

however it has much more powerful command line options which can be seen using the /? or -? switch.

Setting the switches sets the relevant items on the GUI.

If you type a path without any files then it just sets the initial location, if you enter a file spec at the end of the path it will also set the file type to check for (you can set multiple file types by entering a comma between them but DON'T add a space, e.g. delold d:\temp\*.tmp,*.exe is fine).

The /q is quiet mode and when used with /-c (to turn off confirmation) then no GUI will be displayed and the operation will take place with no user intervention. If you do not use the /q switch then all other options can be set and you then need to press the 'Delete!' key to start the process.

You can add '-' to any switch to disable it. This is most useful for /c which is set by default.

You could schedule checks with the Windows NT scheduler when using the /q and /-c switches to automatically delete old files at specified times. An example submission would be

F:\> at 20:00 cmd /c delold /l /q /-c /n:90 /s /d d:\temp\*.tmp

The above would run the program at 8:00 p.m. with no user input (the /q and /-c) for any *.tmp file over 90 days old (/n:90) under d:\temp and all its subdirectories (/s). It would also delete any empty directories (/d) older than 90 days.

If you want to use from the command line without having to enter the path of delold.exe every time you can modify NT's path variable to included the DelOld program location.

  1. Start the System control panel applet (Start - Settings - Control Panel - System)
  2. Select the Advanced tab and click 'Environment Variables'
  3. Select either the user or system variables and double click on Path
  4. At the end of the path add
    ;D:\Program Files\DelOld\
    (or whatever your Program Files program directory is)
  5. Click OK
  6. Click OK to the main environment variables window
  7. Close the System Properties


Uninstalling DelOld

DelOld is uninstalled using the standard Windows add/remove programs procedure as follows for Windows NT 4.0:

  1. Start the Add/Remove Programs control panel applet (Start -> Settings -> Control Panel -> Add/Remove Programs)
  2. Select the 'Install/Uninstall' tab
  3. Select DelOld and click 'Add/Remove'
  4. Click Yes to confirm the install
  5. At the end click OK to confirm the completion of the uninstall process

To uninstall in Windows 2000 perform the following:

  1. Start the Add/Remove Programs control panel applet (Start -> Settings -> Control Panel -> Add/Remove Programs)
  2. Select 'DelOld v1.0'
  3. Click 'Change/Remove'
  4. The uninstall process will start. Click Yes to confirm the uninstall
  5. Click OK to the removal confirmation

The uninstall process removes all files, folders and shortcuts.


.topic 0x806603ea
Allows the program to check sub-directories of the selected root. Without this only files in the root folder/drive will be checked

.topic 0x806603eb
Confirm all deletions

.topic 0x806603ef
Allows the program to delete empty directories that are older than the specified date

.topic 0x806603f4
Allows the program to delete read-only files that are older than the specified date

.topic 0x806603f0
The file type specification to check. Can include * and ? as well as multiple specifications if separated by a comma, e.g. *.tmp,*.old

.topic 0x806603e8
Allows the selected of drives, folders or shares

.topic 0x806603ee
Choose which file date to compare

.topic 0x806603ec
Start the scan and delete process

.topic 0x806603f2
The number of days that files have to be older than to be deleted

.topic 0x806603f3
The file type specification to check. Can include * and ? as well as multiple specifications if separated by a comma, e.g. *.tmp,*.old

.topic 0x806603f1
Title, what more help could you want? :-)

.topic 0x806603f5
The included folder list

.topic 0x806603f6
The exclude folder list

.topic 0x806603f7
Enter name of IP address of a remote machine

.topic 0x806603f8
List of file specifications to match

.topic 0x806603f9
List of file specifications to not match

.topic 0x806603fa
Name of log file if required

.topic 0x806603e9
The number of days that files have to be older than to be deleted

.topic 0x806603fc
The number of hours that files have to be older than to be deleted

.topic 0x806603fd
The number of minutes that files have to be older than to be deleted

.topic 0x806603fe
Current date specification

.topic 0x806603ff
Modify the age date value

.topic 0x80660400
Add logs to end of existing file

.topic 0x80660401
Activate remote machine

.topic 0x80660402
Display full instead of abbreviated names for long names

.topic 0x80660403
When searching performed comparisions will be case sensitive